Risk Scenarios
List the enterprise risks mapped to a risk scenario
List every enterprise risk a risk scenario is linked to that the caller can view, identified by each enterprise risk’s Risk ID, in link order. Supply the risk scenario’s Risk ID or object ID. Archived enterprise risks and enterprise risks the caller can’t view are omitted. The list is empty when the scenario isn’t linked to an enterprise risk or when the scenario is itself an enterprise risk.
GET
/
risk-scenarios
/
{riskScenarioId}
/
mappings
/
enterprise-risk
List the enterprise risks mapped to a risk scenario
curl --request GET \
--url https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/enterprise-risk \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/enterprise-risk"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/enterprise-risk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/enterprise-risk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/enterprise-risk"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/enterprise-risk")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/enterprise-risk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": {
"data": [
{
"riskId": "<string>"
}
],
"pageInfo": {
"endCursor": "<string>",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "<string>"
}
}
}Was this page helpful?
⌘I
List the enterprise risks mapped to a risk scenario
curl --request GET \
--url https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/enterprise-risk \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/enterprise-risk"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/enterprise-risk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/enterprise-risk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/enterprise-risk"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/enterprise-risk")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/enterprise-risk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": {
"data": [
{
"riskId": "<string>"
}
],
"pageInfo": {
"endCursor": "<string>",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "<string>"
}
}
}